Last Comment Bug 715807 - crash CMbxScanner::CleanUp
: crash CMbxScanner::CleanUp
Status: RESOLVED FIXED
: crash
Product: Thunderbird
Classification: Client Software
Component: Migration (show other bugs)
: Trunk
: x86 Windows NT
: -- critical (vote)
: Thunderbird 12.0
Assigned To: Makoto Kato [:m_kato]
:
:
Mentors:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2012-01-05 21:28 PST by Makoto Kato [:m_kato]
Modified: 2012-01-11 06:06 PST (History)
4 users (show)
See Also:
Crash Signature:
QA Whiteboard:
Iteration: ---
Points: ---
fixed
fixed


Attachments
fix (646 bytes, patch)
2012-01-10 00:02 PST, Makoto Kato [:m_kato]
mozilla: review+
standard8: approval‑comm‑aurora+
Details | Diff | Splinter Review

Description Makoto Kato [:m_kato] 2012-01-05 21:28:15 PST
This bug was filed from the Socorro interface and is 
report bp-bca944b5-968c-40eb-aa30-fc9482120104 .
============================================================= 
0 	xul.dll 	CMbxScanner::CleanUp 	mailnews/import/oexpress/nsOEMailbox.cpp:292
1 	xul.dll 	CMbxScanner::Initialize 	mailnews/import/oexpress/nsOEMailbox.cpp:247
2 	xul.dll 	CImportMailbox::ImportMailbox 	mailnews/import/oexpress/nsOEMailbox.cpp:158
3 	xul.dll 	ImportOEMailImpl::ImportMailbox 	mailnews/import/oexpress/nsOEImport.cpp:476
4 	xul.dll 	ImportMailThread 	mailnews/import/src/nsImportMail.cpp:908
5 	nspr4.dll 	_PR_NativeRunThread 	nsprpub/pr/src/threads/combined/pruthr.c:426
6 	nspr4.dll 	pr_root 	nsprpub/pr/src/md/windows/w95thred.c:122
7 	msvcr80.dll 	msvcr80.dll@0x29ba 	
8 	msvcr80.dll 	msvcr80.dll@0x2a46 	
9 	ntdll.dll 	__RtlUserThreadStart 	
10 	ntdll.dll 	_RtlUserThreadStart


When CMbxScanner::Initialize is failed, thunderbird will crash.  Because m_mbxFileInputStream or m_dstFileOutputStream may be null on CleanUp()
Comment 1 Makoto Kato [:m_kato] 2012-01-10 00:02:27 PST
Created attachment 587254 [details] [diff] [review]
fix
Comment 2 David :Bienvenu 2012-01-10 07:12:30 PST
Comment on attachment 587254 [details] [diff] [review]
fix

Review of attachment 587254 [details] [diff] [review]:
-----------------------------------------------------------------

looks good, thx!
Comment 3 David :Bienvenu 2012-01-10 07:14:35 PST
I'm wondering if we want this for tb 10 and tb 11, since it looks safe, and the outlook import changes that perhaps caused this are in tb 10 and 11.
Comment 4 Makoto Kato [:m_kato] 2012-01-10 19:46:27 PST
http://hg.mozilla.org/comm-central/rev/59b240e1e76c
Comment 5 Makoto Kato [:m_kato] 2012-01-10 19:47:11 PST
Comment on attachment 587254 [details] [diff] [review]
fix

This crash occurs on 9.0.1.

Note You need to log in before you can comment on or make changes to this bug.